Debian Bug report logs - #633935
fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:fim; Maintainer for src:fim is Michele Martone <michele.martone@uniroma2.it>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Fri, 15 Jul 2011 08:55:50 UTC

Severity: serious

Tags: experimental, patch, sid, wheezy

Found in version fim/0.3-beta-prerelease-1.2

Fixed in version fim/0.3-beta-prerelease-1.3

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Fri, 15 Jul 2011 08:55:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Fri, 15 Jul 2011 08:55:54 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Fri, 15 Jul 2011 10:54:13 +0200
Source: fim
Version: 0.3-beta-prerelease-1.2
Severity: important

Hello Michele,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update fim to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

fim 	:Build-Depends: libjpeg62-dev 

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633935; Package src:fim. (Thu, 04 Aug 2011 20:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Martone <michele.martone@uniroma2.it>:
Extra info received and forwarded to list. (Thu, 04 Aug 2011 20:27:10 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Michele Martone <michele.martone@uniroma2.it>
To: Bill Allombert <ballombe@debian.org>, 633935@bugs.debian.org
Cc: submit@bugs.debian.org, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Thu, 4 Aug 2011 22:11:16 +0200
[Message part 1 (text/plain, inline)]
On 20110715@10:54, Bill Allombert wrote:
> Source: fim
> Version: 0.3-beta-prerelease-1.2
> Severity: important
> 
> Hello Michele,
> 
> We are transitionning from libjpeg62 to libjpeg8.
> As mentionned on debian-devel-announce[1], please update fim to
> Build-Depends on libjpeg-dev instead of libjpeg62-dev.
> 
> The following Build-Depends was found:
> 
> fim 	:Build-Depends: libjpeg62-dev 
> 
> [1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html
> ..

Hello Bill,

[I'm sorry for the delay in responding]

Unfortunately, I can only help partially here, as I only maintain fim
itself an the pkg-fim source repository [*], but I have no rights to
upload updated versions.

So, I may change 
 libjpeg62-dev 
to
 libjpeg-dev 
in the debian/control file hosted on [1].

But anyway Moritz (in CC) or someone other with the rights shall refresh
the debian's ftp.

Moreover, this may be the chance to upload an updated and much
improved beta of fim 0.3, if you agree.
If you wish, I may expose some bug of the current debian fim version
to justify its update.

[*] https://alioth.debian.org/projects/pkg-fim/ 

Cheers,
 Michele
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633935; Package src:fim. (Thu, 04 Aug 2011 20:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Martone <michele.martone@uniroma2.it>:
Extra info received and forwarded to list. (Thu, 04 Aug 2011 20:27:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Thu, 04 Aug 2011 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Thu, 04 Aug 2011 21:30:06 GMT) Full text and rfc822 format available.

Message #20 received at 633935@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Michele Martone <michele.martone@uniroma2.it>
Cc: 633935@bugs.debian.org, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Thu, 4 Aug 2011 23:19:49 +0200
On Thu, Aug 04, 2011 at 10:11:16PM +0200, Michele Martone wrote:
> On 20110715@10:54, Bill Allombert wrote:
> > Source: fim
> > Version: 0.3-beta-prerelease-1.2
> > Severity: important
> > 
> > Hello Michele,
> > 
> > We are transitionning from libjpeg62 to libjpeg8.
> > As mentionned on debian-devel-announce[1], please update fim to
> > Build-Depends on libjpeg-dev instead of libjpeg62-dev.
> > 
> > The following Build-Depends was found:
> > 
> > fim 	:Build-Depends: libjpeg62-dev 
> > 
> > [1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html
> > ..
> 
> Hello Bill,
> 
> [I'm sorry for the delay in responding]
> 
> Unfortunately, I can only help partially here, as I only maintain fim
> itself an the pkg-fim source repository [*], but I have no rights to
> upload updated versions.
> 
> So, I may change 
>  libjpeg62-dev 
> to
>  libjpeg-dev 
> in the debian/control file hosted on [1].
> 
> But anyway Moritz (in CC) or someone other with the rights shall refresh
> the debian's ftp.
> 
> Moreover, this may be the chance to upload an updated and much
> improved beta of fim 0.3, if you agree.

This is fine with me. 

Cheers,
Bill.




Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Mon, 08 Aug 2011 17:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Mon, 08 Aug 2011 17:27:08 GMT) Full text and rfc822 format available.

Message #25 received at 633935@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Michele Martone <michele.martone@uniroma2.it>
Cc: 633935@bugs.debian.org
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Mon, 8 Aug 2011 19:24:59 +0200
On Thu, Aug 04, 2011 at 10:11:16PM +0200, Michele Martone wrote:
> Unfortunately, I can only help partially here, as I only maintain fim
> itself an the pkg-fim source repository [*], but I have no rights to
> upload updated versions.
> 
> So, I may change 
>  libjpeg62-dev 
> to
>  libjpeg-dev 
> in the debian/control file hosted on [1].
> 
> But anyway Moritz (in CC) or someone other with the rights shall refresh
> the debian's ftp.
>
> Moreover, this may be the chance to upload an updated and much
> improved beta of fim 0.3, if you agree.

Please prepare an updated package, for which I can then sponsor the
upload as with the initial upload.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633935; Package src:fim. (Thu, 11 Aug 2011 22:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Martone <michele.martone@uniroma2.it>:
Extra info received and forwarded to list. (Thu, 11 Aug 2011 22:39:09 GMT) Full text and rfc822 format available.

Message #30 received at 633935@bugs.debian.org (full text, mbox):

From: Michele Martone <michele.martone@uniroma2.it>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 636968@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, 633935@bugs.debian.org
Subject: Re: Bug#636968: fim: FTBFS with libpng 1.5
Date: Fri, 12 Aug 2011 00:38:04 +0200
On 20110807@23:23, Nobuhiro Iwamatsu wrote:
> Source: fim
> Version: 0.3-beta-prerelease-1.2
> Severity: important
> Tags: patch
> User: libpng@packages.debian.org
> Usertags: libpng15-transition
> 
> Hi,
> 
> I uploaded libpng 1.5.2 to experimental.
> libpng maintainers plan to transition from libpng 1.2 to 1.5.
> I am checking build it the package depend to libpng.
> 
> I noticed your package FTBFS by libpng 1.5.
> I created the patch that revise this problem.
> Could you check and apply this patch?
> ...
Hello Nobuhiro,

I am applying the Build-Depends line patch.

The src/FbiStuffPng.cpp fix will be applied through a fresh upstream
fim version, patched for that purpose some time ago; please see bug
#Bug#633935.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633935; Package src:fim. (Thu, 11 Aug 2011 22:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Martone <michele.martone@uniroma2.it>:
Extra info received and forwarded to list. (Thu, 11 Aug 2011 22:45:06 GMT) Full text and rfc822 format available.

Message #35 received at 633935@bugs.debian.org (full text, mbox):

From: Michele Martone <michele.martone@uniroma2.it>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: Michele Martone <michele.martone@uniroma2.it>, 633935@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Fri, 12 Aug 2011 00:40:07 +0200
[Message part 1 (text/plain, inline)]
On 20110808@19:24, Moritz Mühlenhoff wrote:
> On Thu, Aug 04, 2011 at 10:11:16PM +0200, Michele Martone wrote:
> > Unfortunately, I can only help partially here, as I only maintain fim
> > itself an the pkg-fim source repository [*], but I have no rights to
> > upload updated versions.
> > 
> > So, I may change 
> >  libjpeg62-dev 
> > to
> >  libjpeg-dev 
> > in the debian/control file hosted on [1].
> > 
> > But anyway Moritz (in CC) or someone other with the rights shall refresh
> > the debian's ftp.
> >
> > Moreover, this may be the chance to upload an updated and much
> > improved beta of fim 0.3, if you agree.
> 
> Please prepare an updated package, for which I can then sponsor the
> upload as with the initial upload.
> 
> Cheers,
>         Moritz
Ok; just loaded:

b9f67a3ab1bfa67d6e15955f42b1301d  fim_0.3-beta-prerelease-1.3.diff.gz
24d7db90c7fef84524f84c5e0e046981  fim_0.3-beta-prerelease-1.3.dsc
b0003676da616462283d609cb4a0929e
fim_0.3-beta-prerelease-1.3_i386.changes
bbf72efde22a552aa0a8d1368517d5b3  fim_0.3-beta-prerelease.orig.tar.gz

on http://claudius.ce.uniroma2.it/~martone/tmp/
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 21:22:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Wed, 09 Nov 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Wed, 09 Nov 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 633935@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Michele Martone <michele.martone@uniroma2.it>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, 633935@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Wed, 9 Nov 2011 16:49:14 +0100
[Message part 1 (text/plain, inline)]
Le vendredi, 12 août 2011 00.40:07, Michele Martone a écrit :
> On 20110808@19:24, Moritz Mühlenhoff wrote:
> > On Thu, Aug 04, 2011 at 10:11:16PM +0200, Michele Martone wrote:
> > > Moreover, this may be the chance to upload an updated and much
> > > improved beta of fim 0.3, if you agree.
> > 
> > Please prepare an updated package, for which I can then sponsor the
> > upload as with the initial upload.
> 
> Ok; just loaded:
> fim_0.3-beta-prerelease-1.3
> on http://claudius.ce.uniroma2.it/~martone/tmp/

Hi guys, 

it seems that this RC bug is "pending" since August; is there something I can 
do to help solve it ?

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Wed, 09 Nov 2011 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Wed, 09 Nov 2011 17:42:03 GMT) Full text and rfc822 format available.

Message #47 received at 633935@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Didier Raboud <odyx@debian.org>
Cc: Michele Martone <michele.martone@uniroma2.it>, Moritz Mühlenhoff <jmm@inutil.org>, 633935@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Wed, 9 Nov 2011 18:39:55 +0100
On Wed, Nov 09, 2011 at 04:49:14PM +0100, Didier Raboud wrote:
> Le vendredi, 12 août 2011 00.40:07, Michele Martone a écrit :
> > On 20110808@19:24, Moritz Mühlenhoff wrote:
> > > On Thu, Aug 04, 2011 at 10:11:16PM +0200, Michele Martone wrote:
> > > > Moreover, this may be the chance to upload an updated and much
> > > > improved beta of fim 0.3, if you agree.
> > > 
> > > Please prepare an updated package, for which I can then sponsor the
> > > upload as with the initial upload.
> > 
> > Ok; just loaded:
> > fim_0.3-beta-prerelease-1.3
> > on http://claudius.ce.uniroma2.it/~martone/tmp/
> 
> Hi guys, 
> 
> it seems that this RC bug is "pending" since August; is there something I can 
> do to help solve it ?

I'm busy with other stuff. Feel free to sponsor Michele's package.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Thu, 10 Nov 2011 10:37:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Thu, 10 Nov 2011 10:37:33 GMT) Full text and rfc822 format available.

Message #52 received at 633935@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Michele Martone <michele.martone@uniroma2.it>
Cc: Moritz Mühlenhoff <jmm@inutil.org>, 633935@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Thu, 10 Nov 2011 10:52:39 +0100
[Message part 1 (text/plain, inline)]
Le mercredi, 9 novembre 2011 18.39:55, vous avez écrit :
> On Wed, Nov 09, 2011 at 04:49:14PM +0100, Didier Raboud wrote:
> > Le vendredi, 12 août 2011 00.40:07, Michele Martone a écrit :
> > > Ok; just loaded:
> > > fim_0.3-beta-prerelease-1.3
> > > on http://claudius.ce.uniroma2.it/~martone/tmp/
> > 
> > it seems that this RC bug is "pending" since August; is there something I
> > can do to help solve it ?
> 
> I'm busy with other stuff. Feel free to sponsor Michele's package.

I can't, Michele's URL throws a 403 (Forbidden) at me.

Michele: I can sponsor, just point me to an accessible .dsc.

(Without answer in 7 days, I'll NMU with just the s/libjpeg62-dev/libjpeg-dev/ 
change.)

Cheers,

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633935; Package src:fim. (Fri, 11 Nov 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Martone <michele.martone@uniroma2.it>:
Extra info received and forwarded to list. (Fri, 11 Nov 2011 09:03:04 GMT) Full text and rfc822 format available.

Message #57 received at 633935@bugs.debian.org (full text, mbox):

From: Michele Martone <michele.martone@uniroma2.it>
To: Didier Raboud <odyx@debian.org>, 633935@bugs.debian.org
Cc: Michele Martone <michele.martone@uniroma2.it>, Moritz Mühlenhoff <jmm@inutil.org>, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Fri, 11 Nov 2011 10:00:51 +0100
[Message part 1 (text/plain, inline)]
On 20111110@10:52, Didier Raboud wrote:
> Le mercredi, 9 novembre 2011 18.39:55, vous avez ?crit :
> > On Wed, Nov 09, 2011 at 04:49:14PM +0100, Didier Raboud wrote:
> > > Le vendredi, 12 ao?t 2011 00.40:07, Michele Martone a ?crit :
> > > > Ok; just loaded:
> > > > fim_0.3-beta-prerelease-1.3
> > > > on http://claudius.ce.uniroma2.it/~martone/tmp/
> > > 
> > > it seems that this RC bug is "pending" since August; is there something I
> > > can do to help solve it ?
> > 
> > I'm busy with other stuff. Feel free to sponsor Michele's package.
> 
> I can't, Michele's URL throws a 403 (Forbidden) at me.
> 
> Michele: I can sponsor, just point me to an accessible .dsc.
> 
> (Without answer in 7 days, I'll NMU with just the s/libjpeg62-dev/libjpeg-dev/ 
> change.)
> 
> Cheers,

Hi Didier, Moritz,

thank you Didier for the sponsorship!
I see that directory browsing permissions on my web server changed;
the files, however, are still reachable; here they are:

http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease-1.3.diff.gz
http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease-1.3_i386.changes
http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease-1.3.dsc
http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease.orig.tar.gz

Since fim is the only Debian package I "manage" sporadically, and for me
it's easy to forget everything, I have a repository to keep fim's packaging
scripts/commands. This repository is at:
 https://alioth.debian.org/projects/pkg-fim/ 

Do you have an Alioth account so I may grant you access to this pkg-fim repository ?
This would help things a lot I would say.


[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Mon, 14 Nov 2011 16:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Mon, 14 Nov 2011 16:18:10 GMT) Full text and rfc822 format available.

Message #62 received at 633935@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Michele Martone <michele.martone@uniroma2.it>
Cc: 633935@bugs.debian.org
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Mon, 14 Nov 2011 16:57:36 +0100
(Dropping Moritz and Nobuhiro from the CC list)

Le vendredi, 11 novembre 2011 10.00:51, Michele Martone a écrit :
> > Cheers,
> 
> Hi Didier,
> 
> thank you Didier for the sponsorship!

> I see that directory browsing permissions on my web server changed;
> the files, however, are still reachable; here they are:
> 
> http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease-1.3.dif
> f.gz
> http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease-1.3_i3
> 86.changes
> http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease-1.3.ds
> c
> http://claudius.ce.uniroma2.it/~martone/tmp/fim_0.3-beta-prerelease.orig.t
> ar.gz

Hi Michele,

those files "timeout" from here. Can you maybe push them to 
mentors.debian.net?

> Since fim is the only Debian package I "manage" sporadically, and for me
> it's easy to forget everything, I have a repository to keep fim's packaging
> scripts/commands. This repository is at:
>  https://alioth.debian.org/projects/pkg-fim/
> 
> Do you have an Alioth account so I may grant you access to this pkg-fim
> repository ? This would help things a lot I would say.

I don't want nor plan to get more involved in fim than "uploading what is 
necessary to hav it build-depend on libjpeg-dev". So I'd be more than happy to 
review and sponsor it, but I don't want to get involved in the team, sorry.

By the way, without seeing the source package, I can already say that the 
version number is most probably wrong, as 0.3-beta-prerelease will sort 
"older" than 0.3. What you want is probably 0.3~beta0. The maintainer version 
(1.3) is also probably wrong as most usually, full numbers without dots are 
used. So all in all, you probably want something like 0.3~beta0-1.

Now the problem is that fim is already uploaded to Debian as 0.3-beta-
prerelease-1.2, where you should have used -2 after Moritz's upload.

Let's make this source package available to see what we want to do.

Cheers,

OdyX
-- 
OdyX




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#633935; Package src:fim. (Mon, 14 Nov 2011 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Martone <michele.martone@uniroma2.it>:
Extra info received and forwarded to list. (Mon, 14 Nov 2011 20:15:06 GMT) Full text and rfc822 format available.

Message #67 received at 633935@bugs.debian.org (full text, mbox):

From: Michele Martone <michele.martone@uniroma2.it>
To: Didier Raboud <odyx@debian.org>, 633935@bugs.debian.org
Cc: Michele Martone <michele.martone@uniroma2.it>
Subject: Re: Bug#633935: fim: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Mon, 14 Nov 2011 21:11:45 +0100
[Message part 1 (text/plain, inline)]
On 20111114@16:57, Didier Raboud wrote:
> (Dropping Moritz and Nobuhiro from the CC list)
> ...
> Hi Michele,
> 
> those files "timeout" from here. Can you maybe push them to 
> mentors.debian.net?
> 
> > Since fim is the only Debian package I "manage" sporadically, and for me
> > it's easy to forget everything, I have a repository to keep fim's packaging
> > scripts/commands. This repository is at:
> >  https://alioth.debian.org/projects/pkg-fim/
> > 
> > Do you have an Alioth account so I may grant you access to this pkg-fim
> > repository ? This would help things a lot I would say.
> 
> I don't want nor plan to get more involved in fim than "uploading what is 
> necessary to hav it build-depend on libjpeg-dev". So I'd be more than happy to 
> review and sponsor it, but I don't want to get involved in the team, sorry.

Hi Didier,

There is no fim team -- it's me programming fim, and that is is ok: I
started fim for fun and it works well.
But regarding Debian, I am simply not reliable for the task of good
debianizing fim itself.
I am a Debian user, but unfortunately I don't have currently the time to
sustain a "quality" study of Debian to become good in making packages.

However, for any person with serious Debian experience as any Debian
maintainer, it would be a piece of cake to just see the fim debianizing
scripts which already are on
  https://alioth.debian.org/projects/pkg-fim/
and eventually tell me to what extent they are good or they are wrong.

I think the fastest way to go here is to use the skills which one has -- 
I know how fim works, and you -- Debian.

And please don't tell me that the 300 lines of code in the pkg-fim
repository take too much time to read :)
 
> ...
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) sid, wheezy, and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 23 Jan 2012 11:46:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michele Martone <michele.martone@uniroma2.it>:
Bug#633935; Package src:fim. (Thu, 26 Jan 2012 21:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Michele Martone <michele.martone@uniroma2.it>. (Thu, 26 Jan 2012 21:00:06 GMT) Full text and rfc822 format available.

Message #74 received at 633935@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 633935@bugs.debian.org, 636968@bugs.debian.org
Subject: fim: diff for NMU version 0.3-beta-prerelease-1.3
Date: Thu, 26 Jan 2012 21:57:10 +0100
[Message part 1 (text/plain, inline)]
tags 633935 + patch
tags 633935 + pending
tags 636968 + pending
thanks

Dear maintainer,

I've prepared an NMU for fim (versioned as 0.3-beta-prerelease-1.3) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Beatles: Fly On The Wall
[fim-0.3-beta-prerelease-1.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 21:00:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 21:00:11 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Jan 2012 21:23:06 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Sat, 28 Jan 2012 21:23:09 GMT) Full text and rfc822 format available.

Message #83 received at 633935-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 633935-close@bugs.debian.org
Subject: Bug#633935: fixed in fim 0.3-beta-prerelease-1.3
Date: Sat, 28 Jan 2012 21:19:16 +0000
Source: fim
Source-Version: 0.3-beta-prerelease-1.3

We believe that the bug you reported is fixed in the latest version of
fim, which is due to be installed in the Debian FTP archive:

fim_0.3-beta-prerelease-1.3.diff.gz
  to main/f/fim/fim_0.3-beta-prerelease-1.3.diff.gz
fim_0.3-beta-prerelease-1.3.dsc
  to main/f/fim/fim_0.3-beta-prerelease-1.3.dsc
fim_0.3-beta-prerelease-1.3_i386.deb
  to main/f/fim/fim_0.3-beta-prerelease-1.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633935@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated fim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Jan 2012 21:41:23 +0100
Source: fim
Binary: fim
Architecture: source i386
Version: 0.3-beta-prerelease-1.3
Distribution: unstable
Urgency: low
Maintainer: Michele Martone <michele.martone@uniroma2.it>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 fim        - a scriptable frame buffer and ascii art image viewer
Closes: 633935 636968
Changes: 
 fim (0.3-beta-prerelease-1.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
     do as the bug report request.
     (Closes: #633935)
   * Also fix "FTBFS with libpng 1.5" while we're there: apply patch from
     Nobuhiro Iwamatsu: preparation for libpng 1.5 transition.
     (Closes: #636968)
Checksums-Sha1: 
 4d8adce0fe49b5df687f9b137422405b33abb6a2 1923 fim_0.3-beta-prerelease-1.3.dsc
 d6e868da3fbbda451b554a01d38dd6d2c852bf6a 191622 fim_0.3-beta-prerelease-1.3.diff.gz
 6675dbc62d8e78d3b719651aeb284b9d2502c53c 299800 fim_0.3-beta-prerelease-1.3_i386.deb
Checksums-Sha256: 
 9d733fffb5366cf470479a03225350285151566655ba54a00d2473c7b2e5ec26 1923 fim_0.3-beta-prerelease-1.3.dsc
 2a7c4a7409ac3b7bc79633e85304acb3d6de18f5387787f55231a1c21d256fee 191622 fim_0.3-beta-prerelease-1.3.diff.gz
 5dacc0122a9d61940f42f2ecdb1fbec10e9b04943096087fe0d13d233c42d534 299800 fim_0.3-beta-prerelease-1.3_i386.deb
Files: 
 4eca94007d0ff5dfabccc03be6876ee1 1923 graphics extra fim_0.3-beta-prerelease-1.3.dsc
 4faf0e7dbadcb23d736eb7a31b9293a4 191622 graphics extra fim_0.3-beta-prerelease-1.3.diff.gz
 6444303ff22d7e2ac8843abd0614e019 299800 graphics extra fim_0.3-beta-prerelease-1.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPIb0FAAoJELs6aAGGSaoGmeQP/29NuFIsqHlpyWeH9xS14q0d
gtwQGcbW296RJ5a08NdajNrcU9aS4w7j1rRomZhusxbNJks5BLFIqXsuk+KX8Nty
18qG8XXuWczhq42pIOSaHiIYKY3GCRRn5sFGUG7x7bXYE8p7QxoZmLRNFcaoQ544
LWjAcoF6s2/d8TK3yupYccbO5b81+mYmJtWUGTN35GxCx0r8yqfVygvRvfUppTgg
cxmuWMA3VClTdkhuN1tdixPzclsO2J4V7XPqSY78Qv0WvZUmeOxpjUG2yaLQqRZP
HWrSsnU7sQ71VNYIhwS213oV0V35BgyJL+8B1eLrQk3YwIpljwTDp3wFdXrMdCLo
9zZdJz7XwtqAB3uXjFNf4sWFO7hfNR4YDfNrE3kvct9YpapO5kpXEunaL7mfXFZN
r5unlvKE22WbkX1spHY6w9p6zOvAWv2uHYa+LuoIX0SP/PAsFYuZz+ep6IksLjGX
XJOoQFyrfZSrhWV2cDRbTrF47t+TNx1ujCQ/tBQIlue/Ry6acYtBjWs2SSAQ0zaa
DRz+KG7pXZMb0SB0r9i47ciGt3dqujY+ix2KfhIFCwhh6xmrbNZaKMs/xSvoXHJH
1tTEJXF5PqFgjIxc+htPFRoeF073NkMvlOnWd1hdJpq4/rVJmmmdSVf87Dg0ICbr
gbVM+yXi3nUn+bSHQTdA
=pnaH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:15:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:46:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.